# Class HTMLEditorKit.Parser

java.lang.Object
javax.swing.text.html.HTMLEditorKit.Parser

Direct Known Subclasses:
  `ParserDelegator`

Enclosing class:
  `HTMLEditorKit`

public abstract static class HTMLEditorKit.Parser extends Object
Interface to be supported by the parser. This enables providing a different parser while reusing some of the implementation provided by this editor kit.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Parser()`
Constructor for subclasses to call.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)`
Parse the given stream and drive the given callback with the results of the parse.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### Parser

protected Parser()
Constructor for subclasses to call.

## Method Details

### parse

public abstract void parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet) throws IOException
Parse the given stream and drive the given callback with the results of the parse. This method should be implemented to be thread-safe.

Parameters:
  `r` - a reader
  `cb` - a parser callback
  `ignoreCharSet` - if `true` charset is ignoring
Throws:
  `IOException` - if an I/O exception occurs